using System;
using System.Collections.Generic;
using System.Text;

namespace Parameterauflistung
{
   class Program
   {
      static void Main(string[] args)
      {
         Console.WriteLine(GrößterWert(1, 2, 3, 4, 5, 6, 7, 8, 9));

         int[] zahlen = {3, 4, 5, 6, 7, 8, 9};
         Console.WriteLine(GrößterWert(1, 2, zahlen));

         Console.WriteLine(GrößterWert(1, 2, new int[] {3, 4, 5, 6, 7, 8, 9}));
      }

      public static int GrößterWert(int zahl1, int zahl2, params int[] zahlen)
      {
         int maximum;

         // zunächst die beiden ersten Parameter auswerten
         maximum = zahl1 > zahl2 ? zahl1 : zahl2;

         // jetzt alle Elemente des Parameterarrays prüfen
         foreach (int i in zahlen)
            if (i > maximum)
            {
               maximum = i;
            }

         return maximum;
      }

   }
}
